Page MenuHomePhabricator

Output a canonical form to RecentChanges
Closed, DeclinedPublic

Description

Author: mike.lifeguard+bugs

Description:
Currently our IRC RC feeds output localized log names and the like, making the development of new monitoring tools a /huge/ pain. If one wishes to monitor the feed for one language, fine... but if you want to monitor many then you need to know the localizations for each language and treat them as the same thing within your code. This is needlessly onerous and could easily be fixed by outputting a canonical form. Instead of "Spezial:Log/review" use "Special:Log/review"; instead of "Spécial:Log/upload" use "Special:Log/upload" etc.

As well, user group names are outputted localized.

Finally, and most importantly: even on the same wiki, messages for an action can change by localization:

[[Special:Log/globalauth]] setstatus [...] Set Bloqueado; Unset (ninguno):

That should never appear - Meta is set to English localization, so should output that! I think this is because the user in question uses Spanish interface.


Version: 1.16.x
Severity: major

Details

Reference
bz18303

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 10:33 PM
bzimport set Reference to bz18303.
bzimport added a subscriber: Unknown Object (MLST).

mike.lifeguard+bugs wrote:

Even worse, we're seeing localized entries in the log:

  1. (show/hide) 23:28, 1 May 2009 Thogo (Talk | contribs | block) changed status for global account "User:something@global": Set gesperrt; Unset (keine) ‎ (crosswiki abuse)

mike.lifeguard+bugs wrote:

This really applies to everything sent to RecentChanges (which is then also sent do IRC, so it's not IRC-specific). These entries need to be presented in the language that the viewing user has set as their interface language -- not the user who performed the action. That's the whole point of having the ability to set your interface language.

Note this also affected log entries in revision deletion and/or checkuser -- I'll go try to find the bug(s) now...

brion added a comment.Jul 20 2009, 3:43 AM

If you want somthing machine-readable, the IRC feed is just going to be too limited; freeform vaguely formatted text with a strict line limit that's meant for humans to begin with? Ouch. :)

Recommend pursuing bug 17450 (extensible machine-readable XMPP feeds for RC data) instead if you want something future-proof.

mike.lifeguard+bugs wrote:

(In reply to comment #3)

If you want somthing machine-readable, the IRC feed is just going to be too
limited; freeform vaguely formatted text with a strict line limit that's meant
for humans to begin with? Ouch. :)

Recommend pursuing bug 17450 (extensible machine-readable XMPP feeds for RC
data) instead if you want something future-proof.

Actually, as noted this is worse than IRC not being machine-readable. It's also showing in the *on-wiki* [[Special:RecentChanges]] items in the language of the user who did them rather than the user who views them. This isn't (just) about IRC!

brion added a comment.Jul 20 2009, 3:52 AM

Treat that separately, as it's a separate issue. (Specific to the information that's included in the comment, not things that are already stored machine-readable such as log page targets which are discussed above in the specific context of the IRC feed.)